CREATE procedure [C6Mart].[Verifica_Lancio_Giornaliero]
AS
BEGIN
    declare @lancia_giornaliero as int
	--declare @data_inizio as datetime
	--select  max(inizio) from log_esecuzione
	--where nota like '%Elaborazione giornaliera%'
	if datediff(day,(select  max(inizio) from log_esecuzione where nota like '%Elaborazione giornaliera%'),getdate()) <= 0
	   begin
	   insert into LOG_ESECUZIONE values (
	   'C6Mart.Verifica_Lancio_Giornaliero',
	   GETDATE(),
	   GETDATE(),
	   'LANCIO DOPPIO',
	   1,'Errore elaborazione giornaliero')
	   RAISERROR (50000,-1,-1, 'Lancio giornaliero');
		--set @lancia_giornaliero = 0
	   end
	--else
	--	begin
	--		insert into LOG_ESECUZIONE values (
	--		'C6Mart.Verifica_Lancio_Giornaliero',
	--		GETDATE(),GETDATE(),'LANCIO OK',1,'elaborazione giornaliero ok')
	--	end
END